Bug 1255796 - php-twig: Remote code execution via Twig templates [fedora-all]
php-twig: Remote code execution via Twig templates [fedora-all]
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: php-twig (Show other bugs)
22
All Linux
high Severity high
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-7809
  Show dependency treegraph
 
Reported: 2015-08-21 11:02 EDT by Adam Mariš
Modified: 2015-09-06 02:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.20.0-1.fc21
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-27 13:59:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-08-21 11:02:02 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-08-21 11:02:06 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1255795,1255796

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1255795,1255796
Comment 2 Shawn Iwinski 2015-08-21 11:57:47 EDT
I'm not sure why Bodhi did not update this ticket so here are the release links:

f23: https://bodhi.fedoraproject.org/updates/php-twig-1.20.0-1.fc23

f22: https://bodhi.fedoraproject.org/updates/php-twig-1.20.0-1.fc22

f21: https://bodhi.fedoraproject.org/updates/php-twig-1.20.0-1.fc21
Comment 3 Fedora Update System 2015-08-21 22:52:09 EDT
php-twig-1.20.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-twig'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13433
Comment 4 Fedora Update System 2015-08-22 00:19:42 EDT
php-twig-1.20.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-twig'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13423
Comment 5 Fedora Update System 2015-08-22 12:26:36 EDT
php-twig-1.20.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-twig'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13463
Comment 6 Fedora Update System 2015-08-27 13:59:51 EDT
php-twig-1.20.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-08-27 14:29:16 EDT
php-twig-1.20.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-09-06 02:21:14 EDT
php-twig-1.20.0-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.